Skip to main content
POST
/
api
/
restock-order-plan
/
totals
Get restock order plan totals (deprecated)
curl --request POST \
  --url https://app.solya.app/api/restock-order-plan/totals \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "planId": "rop-uuid-001"
}
'
{
  "approvedQuantity": 30,
  "approvedValue": 1875,
  "itemCount": 3,
  "totalQuantity": 45,
  "totalValue": 2812.5
}

Authorizations

Authorization
string
header
required

User session token issued by NextAuth. For human users accessing Solya via the web application.

Body

application/json
planId
string
required

Restock order plan identifier for which to compute totals

Minimum string length: 1

Response

Successful response

data
object
required
success
enum<boolean>
required
Available options:
true